---
title: <footer>
slug: Web/HTML/Element/footer
tags:
  - Element
  - HTML
  - HTML sections
  - Reference
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;footer&gt;</code> element</strong> represents a footer for its nearest <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Sectioning_content">sectioning content</a> or <a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines#Sectioning_root">sectioning root</a> element. A footer typically contains information about the author of the section, copyright data or links to related documents.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/footer.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, but with no <code>&lt;footer&gt;</code> or {{HTMLElement("header")}} descendants.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">flow content</a>. Note that a <code>&lt;footer&gt;</code> element must not be a descendant of an {{HTMLElement("address")}}, {{HTMLElement("header")}} or another <code>&lt;footer&gt;</code> element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Contentinfo_role">contentinfo</a>, or <a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">no corresponding role</a> if a descendant of an <a href="/en-US/docs/Web/HTML/Element/article">article</a>, <a href="/en-US/docs/Web/HTML/Element/aside">aside</a>, <a href="/en-US/docs/Web/HTML/Element/main">main</a>, <a href="/en-US/docs/Web/HTML/Element/nav">nav</a> or <a href="/en-US/docs/Web/HTML/Element/section">section</a> element, or an element with <code>role=<a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Article_Role">article</a></code>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Complementary_role">complementary</a>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Main_role">main</a>, <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Navigation_Role">navigation</a> or <a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Region_role">region</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>{{ARIARole("group")}}, {{ARIARole("presentation")}} or {{ARIARole("none")}}</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<ul>
 <li>Enclose information about the author in an {{HTMLElement("address")}} element that can be included into the <code>&lt;footer&gt;</code> element.</li>
 <li>The <code>&lt;footer&gt;</code> element is not sectioning content and therefore doesn't introduce a new section in the <a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines" title="Sections and Outlines of an HTML5 document">outline</a>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;footer&gt;
  Some copyright info or perhaps some author
  info for an &amp;lt;article&amp;gt;?
&lt;/footer&gt;
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Prior to the release of Safari 13, the <code>contentinfo</code> <a href="/en-US/docs/Learn/Accessibility/WAI-ARIA_basics#SignpostsLandmarks">landmark role</a> was not properly exposed by <a href="https://help.apple.com/voiceover/info/guide/">VoiceOver</a>. If needing to support legacy Safari browsers, add <code>role="contentinfo"</code> to the <code>footer</code> element to ensure the landmark will be properly exposed.</p>

<ul>
 <li>Related: <a href="https://bugs.webkit.org/show_bug.cgi?id=146930">WebKit Bugzilla: 146930 – AX: HTML native elements (header, footer, main, aside, nav) should work the same as ARIA landmarks, sometimes they don't</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#the-footer-element', '&lt;footer&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'sections.html#the-footer-element', '&lt;footer&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.footer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other section-related elements: {{HTMLElement("body")}}, {{HTMLElement("nav")}}, {{HTMLElement("article")}}, {{HTMLElement("aside")}}, {{HTMLElement("h1")}}, {{HTMLElement("h2")}}, {{HTMLElement("h3")}}, {{HTMLElement("h4")}}, {{HTMLElement("h5")}}, {{HTMLElement("h6")}}, {{HTMLElement("hgroup")}}, {{HTMLElement("header")}}, {{HTMLElement("section")}}, {{HTMLElement("address")}};</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li class="last"><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Contentinfo_role">ARIA: Contentinfo role</a></li>
</ul>
